## org.eclipse.emf.cdo.eresource.impl
Class EresourcePackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.emf.cdo.eresource.impl.EresourcePackageImpl

All Implemented Interfaces:
  EresourcePackage, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder

    public class EresourcePackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements EresourcePackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.eresource.EresourcePackage
`EresourcePackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.cdo.eresource.EresourcePackage

`CDO_RESOURCE, CDO_RESOURCE__CONTENTS, CDO_RESOURCE__ERRORS, CDO_RESOURCE__FOLDER, CDO_RESOURCE__LOADED, CDO_RESOURCE__MODIFIED, CDO_RESOURCE__NAME, CDO_RESOURCE__PATH, CDO_RESOURCE__RESOURCE_SET, CDO_RESOURCE__TIME_STAMP, CDO_RESOURCE__TRACKING_MODIFICATION, CDO_RESOURCE__URI, CDO_RESOURCE__WARNINGS, CDO_RESOURCE_FEATURE_COUNT, CDO_RESOURCE_FOLDER, CDO_RESOURCE_FOLDER__FOLDER, CDO_RESOURCE_FOLDER__NAME, CDO_RESOURCE_FOLDER__NODES, CDO_RESOURCE_FOLDER__PATH, CDO_RESOURCE_FOLDER_FEATURE_COUNT, CDO_RESOURCE_NODE, CDO_RESOURCE_NODE__FOLDER, CDO_RESOURCE_NODE__NAME, CDO_RESOURCE_NODE__PATH, CDO_RESOURCE_NODE_FEATURE_COUNT, DIAGNOSTIC, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, RESOURCE_SET, URI`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EReference` `getCDOResource_Contents()`
`org.eclipse.emf.ecore.EAttribute` `getCDOResource_Errors()`
`org.eclipse.emf.ecore.EAttribute` `getCDOResource_Loaded()`
`org.eclipse.emf.ecore.EAttribute` `getCDOResource_Modified()`
`org.eclipse.emf.ecore.EAttribute` `getCDOResource_ResourceSet()`
`org.eclipse.emf.ecore.EAttribute` `getCDOResource_TimeStamp()`
`org.eclipse.emf.ecore.EAttribute` `getCDOResource_TrackingModification()`
`org.eclipse.emf.ecore.EAttribute` `getCDOResource_URI()`
`org.eclipse.emf.ecore.EAttribute` `getCDOResource_Warnings()`
`org.eclipse.emf.ecore.EClass` `getCDOResource()`
`org.eclipse.emf.ecore.EReference` `getCDOResourceFolder_Nodes()`
`org.eclipse.emf.ecore.EClass` `getCDOResourceFolder()`
`org.eclipse.emf.ecore.EReference` `getCDOResourceNode_Folder()`
`org.eclipse.emf.ecore.EAttribute` `getCDOResourceNode_Name()`
`org.eclipse.emf.ecore.EAttribute` `getCDOResourceNode_Path()`
`org.eclipse.emf.ecore.EClass` `getCDOResourceNode()`
`org.eclipse.emf.ecore.EDataType` `getDiagnostic()`
`EresourceFactory` `getEresourceFactory()`
`org.eclipse.emf.ecore.EDataType` `getResourceSet()`
`org.eclipse.emf.ecore.EDataType` `getURI()`
`static EresourcePackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static EresourcePackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `EresourcePackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getCDOResourceNode

    public org.eclipse.emf.ecore.EClass getCDOResourceNode()

  Specified by:
    `getCDOResourceNode` in interface `EresourcePackage`
  Returns:
    the meta object for class 'CDO Resource Node'.
  Since:
    2.0
  See Also:
    `CDOResourceNode`

### getCDOResourceNode_Folder

    public org.eclipse.emf.ecore.EReference getCDOResourceNode_Folder()

  Specified by:
    `getCDOResourceNode_Folder` in interface `EresourcePackage`
  Returns:
    the meta object for the container reference 'Folder'.
  Since:
    2.0
  See Also:
    `CDOResourceNode.getFolder()`, `EresourcePackage.getCDOResourceNode()`

### getCDOResourceNode_Name

    public org.eclipse.emf.ecore.EAttribute getCDOResourceNode_Name()

  Specified by:
    `getCDOResourceNode_Name` in interface `EresourcePackage`
  Returns:
    the meta object for the attribute 'Name'.
  Since:
    2.0
  See Also:
    `CDOResourceNode.getName()`, `EresourcePackage.getCDOResourceNode()`

### getCDOResourceNode_Path

    public org.eclipse.emf.ecore.EAttribute getCDOResourceNode_Path()

  Specified by:
    `getCDOResourceNode_Path` in interface `EresourcePackage`
  Returns:
    the meta object for the attribute 'Path'.
  Since:
    2.0
  See Also:
    `CDOResourceNode.getPath()`, `EresourcePackage.getCDOResourceNode()`

### getCDOResourceFolder

    public org.eclipse.emf.ecore.EClass getCDOResourceFolder()

  Specified by:
    `getCDOResourceFolder` in interface `EresourcePackage`
  Returns:
    the meta object for class 'CDO Resource Folder'.
  Since:
    2.0
  See Also:
    `CDOResourceFolder`

### getCDOResourceFolder_Nodes

    public org.eclipse.emf.ecore.EReference getCDOResourceFolder_Nodes()

  Specified by:
    `getCDOResourceFolder_Nodes` in interface `EresourcePackage`
  Returns:
    the meta object for the containment reference list 'Nodes'.
  Since:
    2.0
  See Also:
    `CDOResourceFolder.getNodes()`, `EresourcePackage.getCDOResourceFolder()`

### getCDOResource

    public org.eclipse.emf.ecore.EClass getCDOResource()

  Specified by:
    `getCDOResource` in interface `EresourcePackage`
  Returns:
    the meta object for class 'CDO Resource'.
  See Also:
    `CDOResource`

### getCDOResource_ResourceSet

    public org.eclipse.emf.ecore.EAttribute getCDOResource_ResourceSet()

  Specified by:
    `getCDOResource_ResourceSet` in interface `EresourcePackage`
  Returns:
    the meta object for the attribute 'Resource Set'.
  See Also:
    `CDOResource.getResourceSet()`, `EresourcePackage.getCDOResource()`

### getCDOResource_URI

    public org.eclipse.emf.ecore.EAttribute getCDOResource_URI()

  Specified by:
    `getCDOResource_URI` in interface `EresourcePackage`
  Returns:
    the meta object for the attribute 'URI'.
  See Also:
    `CDOResource.getURI()`, `EresourcePackage.getCDOResource()`

### getCDOResource_Contents

    public org.eclipse.emf.ecore.EReference getCDOResource_Contents()

  Specified by:
    `getCDOResource_Contents` in interface `EresourcePackage`
  Returns:
    the meta object for the containment reference list 'Contents'.
  See Also:
    `CDOResource.getContents()`, `EresourcePackage.getCDOResource()`

### getCDOResource_Modified

    public org.eclipse.emf.ecore.EAttribute getCDOResource_Modified()

  Specified by:
    `getCDOResource_Modified` in interface `EresourcePackage`
  Returns:
    the meta object for the attribute 'Modified'.
  See Also:
    `CDOResource.isModified()`, `EresourcePackage.getCDOResource()`

### getCDOResource_Loaded

    public org.eclipse.emf.ecore.EAttribute getCDOResource_Loaded()

  Specified by:
    `getCDOResource_Loaded` in interface `EresourcePackage`
  Returns:
    the meta object for the attribute 'Loaded'.
  See Also:
    `CDOResource.isLoaded()`, `EresourcePackage.getCDOResource()`

### getCDOResource_TrackingModification

    public org.eclipse.emf.ecore.EAttribute getCDOResource_TrackingModification()

  Specified by:
    `getCDOResource_TrackingModification` in interface `EresourcePackage`
  Returns:
    the meta object for the attribute 'Tracking Modification'.
  See Also:
    `CDOResource.isTrackingModification()`, `EresourcePackage.getCDOResource()`

### getCDOResource_Errors

    public org.eclipse.emf.ecore.EAttribute getCDOResource_Errors()

  Specified by:
    `getCDOResource_Errors` in interface `EresourcePackage`
  Returns:
    the meta object for the attribute list 'Errors'.
  See Also:
    `CDOResource.getErrors()`, `EresourcePackage.getCDOResource()`

### getCDOResource_Warnings

    public org.eclipse.emf.ecore.EAttribute getCDOResource_Warnings()

  Specified by:
    `getCDOResource_Warnings` in interface `EresourcePackage`
  Returns:
    the meta object for the attribute list 'Warnings'.
  See Also:
    `CDOResource.getWarnings()`, `EresourcePackage.getCDOResource()`

### getCDOResource_TimeStamp

    public org.eclipse.emf.ecore.EAttribute getCDOResource_TimeStamp()

  Specified by:
    `getCDOResource_TimeStamp` in interface `EresourcePackage`
  Returns:
    the meta object for the attribute 'Time Stamp'.
  See Also:
    `CDOResource.getTimeStamp()`, `EresourcePackage.getCDOResource()`

### getResourceSet

    public org.eclipse.emf.ecore.EDataType getResourceSet()

  Specified by:
    `getResourceSet` in interface `EresourcePackage`
  Returns:
    the meta object for data type 'Resource Set'.
  See Also:
    `ResourceSet`

### getURI

    public org.eclipse.emf.ecore.EDataType getURI()

  Specified by:
    `getURI` in interface `EresourcePackage`
  Returns:
    the meta object for data type 'URI'.
  See Also:
    `URI`

### getDiagnostic

    public org.eclipse.emf.ecore.EDataType getDiagnostic()

  Specified by:
    `getDiagnostic` in interface `EresourcePackage`
  Returns:
    the meta object for data type 'Diagnostic'.
  See Also:
    `Resource.Diagnostic`

### getEresourceFactory

    public EresourceFactory getEresourceFactory()

  Specified by:
    `getEresourceFactory` in interface `EresourcePackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.